# Webhooks Connect API

API for managing webhooks to subscribe to specific events related to items in Wallapop.


Version: 0.0.1

## Servers

Production
```
https://connect.wallapop.com
```

## Security

### oAuthWithPKCE

The Webhooks Connect API utilizes the OAuth 2.0 Authorization Code flow with Proof Key for Code Exchange (PKCE) for secure authentication and token exchange.

Type: oauth2
Authorization URL: https://iam.wallapop.com/realms/wallapop-connect/protocol/openid-connect/auth
Token URL: https://iam.wallapop.com/realms/wallapop-connect/protocol/openid-connect/token
Scopes:

## Download OpenAPI description

 - [Webhooks Connect API](https://developers.wallapop.com/_bundle/apis/webhooks.yaml)

## Webhooks

 - [POST /webhooks](https://developers.wallapop.com/apis/webhooks/webhooks/createwebhook.md): Register a new webhook for the authenticated user, allowing you to receive event notifications.
 - [GET /webhooks](https://developers.wallapop.com/apis/webhooks/webhooks/findmywebhooks.md): Retrieves a list of your webhooks.
 - [PUT /webhooks/{webhookId}](https://developers.wallapop.com/apis/webhooks/webhooks/updatewebhook.md): You can modify the webhook definition by updating the endpoint `url` and the list of `events` to which the webhook is subscribed.
 - [DELETE /webhooks/{webhookId}](https://developers.wallapop.com/apis/webhooks/webhooks/deletewebhook.md): Delete a webhook by providing its `id`.
 - [PATCH /webhooks/{webhookId}/token](https://developers.wallapop.com/apis/webhooks/webhooks/updatewebhooktoken.md): Update the webhook signing token to enhance security.
